#include <Python.h>

char bootname[128];

static void
__basename(const char *in, char *out)
{
	char *buf;
	for(buf = out; *in != 0; in++, buf++)
		if( *in == '/')
			buf = out - 1;
		else
			*buf = *in;
	
	strcpy(buf, ".py");
}


int
main(int argc, char *argv[])
{
	FILE *fp;
	__basename(argv[0], bootname);

	Py_Initialize();
	PySys_SetArgv(argc, argv);
	
	fp = fopen(bootname, "r");
	PyRun_AnyFileEx(fp, bootname, 1);

	Py_Finalize();
	return 0;
}
