# ==
# --Project: Open Grid
# --Author: Sing.Yu <scaner@gmail.com>
# --Module: og.lib.egg
# ==

import glob
import os

version = '1'
# --
def EggRotate(basepath, prefix, keep = 3):
	fns = glob.glob(basepath + '/' + prefix + '*')
	fls = [(os.path.getmtime(fn), fn) for fn in fns]
	fls.sort(reverse = True)
	rms = []
	for fi in fls[keep:]:
		os.unlink(fi[1])
		rms.append(fi[1])
	return rms
