# ==
# --Project: Open Grid
# --Author: Sing.Yu <scaner@gmail.com>
# --Module: og.lib.osmeter.meter
# ==

__all__ = (
	'Slurp', 'SlurpLines', 'Partition'
)

# -- Slurp
def Slurp(fn):
	fin = file(fn, 'r')
	contents = fin.read()
	fin.close()
	return contents

# -- SlurpLines
def SlurpLines(fn):
	fin = file(fn, 'r')
	lines = fin.readlines()
	fin.close()
	return lines

# --
def Partition(line):
	pre, s, post = line.strip().partition(':')
	return pre.strip(), post.strip()
