# ==
# --Project: Open Grid
# --Author: Sing.Yu <scaner@gmail.com>
# --Module: og.tests.mocksocket
# ==
import socket

class MockSocket:
	def __init__(self):
		self.inBuffer = ''
		self.outBuffer = ''
	
	def send(self, msg):
		self.inBuffer += msg
	
	def recv(self, bs):
		olen = len(self.outBuffer)
		if olen >= bs:
			ret = self.outBuffer[:bs]
			self.outBuffer = self.outBuffer[bs:]
		else:
			ret = self.outBuffer
			self.outBuffer = ''
		return ret
		
