#!/usr/bin/env og
# ==
# --Project: Open Grid
# --Author: Sing.Yu <scaner@gmail.com>
# --Client-Script: Restart node
# ==

import sys, os

import pprint
import og.lib.network

import grid_info

def RestartNode(nodeid):
	C = grid_info.OGClient()
	if nodeid == 'hive':
		service = 'hive'
	else:
		service = 'main'

	C.sendMessage({
		'_': 'S.restart', 
		'!': {'.':nodeid, ':': service},
	})

	C.close()

if __name__ == '__main__':
	RestartNode(sys.argv[1])
