# ==
# --Project: OpenGrid
# --Author: Sing.Yu <scaner@gmail.com>
# --UnitTest: og.tests.mocksocket
# ==

import os, sys
import unittest

import socket

import og.tests.mocksocket
from og.tests.mocksocket import MockSocket

class TestOgTestsMocksocket(unittest.TestCase):
	def test_MockSocket(self):
		m = og.tests.mocksocket.MockSocket()
		m.send('H2')
		assert m.inBuffer == 'H2'
		m.send('H3')
		assert m.inBuffer == 'H2H3'
		
		m.outBuffer = m.inBuffer
		assert m.recv(2) == 'H2'
		assert m.recv(4) == 'H3'
	

